Subject: [os2genau_digest] No. 1941
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 14 Apr 2010 00:00:22 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Tuesday 13 April 2010
 Number  1941
**************************************************

Subjects for today
 
1  Re:  eCUPS : Ed Durrant <edurrant at durrant dot mine dot nu>
2  Re:  eCUPS : Alan Duval <amoht at westnet dot com dot au>
3  Re:  eCUPS : Alan Duval <amoht at westnet dot com dot au>

**= Email   1 ==========================**

Date:  Tue, 13 Apr 2010 07:44:10 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  eCUPS

Peter Moylan wrote:
> david shearer wrote:
>   
>> For what its worth I have a HP Officejet pro 5400dtn - network
>> printer.  It works flawlessly with eCups and hplib.  there is a bit
>> of fiddling around but eventually got it to work including with a
>> print object.
>>
>>     
> My experience: Cups works once you have it set up, but the installation
> is somewhat tricky, and you have to follow the "how to do it"
> instructions really closely. There are some counter-intuitive
> requirements,  for example that the "gs" and "gutenprint" directories
> must both be at the top level of the directory tree. (And must be on the
> system partition? I've forgotten, but certainly they ended up on the C:
> drive on my system, and normally I don't let anything install on the
> system drive unless it is so crippled that it won't work on other
> drives.) 
The tree must come off the root directory, but it doesn't need to be off 
the system boot drive (C: or whatever you have as boot drive (mine is 
J:)) My tree is off my F: applications drive.

> What we really need a WarpIn script to automate those
> less-than-obvious details. Any volunteers? I'm not volunteering myself,
> because I still haven't understood Warpin well enough to be able to
> design a Warpin script for my own software.
>
>   
There is already a warpin script to do the install - it does not work on 
my system, but apparently on many other peoples. Note this is using the 
standard eCUPS, not HPLIB or anything.
> In my case, I ended up getting no use out of it, because it turned out
> that the only printer I had that it worked for was an HP 880C Deskjet,
> which already has perfectly good OS/2 drivers. I had really intended to
> use it for a newer Brother printer, but from Paul's comments it seems
> that Brother printers will never be supported. (I bought Brother in the
> first place because I thought that they weren't locked in with
> Microsoft, but I was wrong; apparently they're not going to release
> enough information to allow non-Windows drivers to be developed.)
>   
 Some cheap Brother laser printers work with the standard IBM laserjet 
driver but I could never get my Brother Multi Function (MFC620CN) to 
work with eCS - OS2 - however that was before Pauls later compiles of 
eCUPS - by that time the Brother had broken down and was scrap.

I currently use CUPS for my HP Officejet 6310 (using the 7110 driver) 
and my Canon Pixma ip4500 and both print fine.

> Nevertheless, it was an interesting exercise proving to myself that Cups
> did indeed work.
>
> Meanwhile, the HP printer is out of ink again, and I've finally decided
> that I've spent far more on refilling ink cartridges than the printer is
> worth. Time to get a laser printer. The really basic (but quite
> adequate) black-and-white laser printers have become really cheap -
> recently Dick Smith was selling quite a good one for less than $100. 
>   
  Brother HL-2040 - got down to A$79 at several places a couple of years 
back - USB and Parrallel connection B&W laser printer,  works with the 
os/2 laserjet driver set to HL-1240, no wireless (or wired) network on 
this model but there are some more modern varients that do have - but 
beware the change of internals meaning the driver is incompatible again. 
What I have done with my Canon (which is also not a network printer) is 
to connect it via its USB port to a Linksys WPS54G which is a wired and 
wireless print server.
> I'm leaning myself towards the idea of a laser printer with a wireless
> network interface - to the best of my knowledge these all work with
> OS/2, although I've never put it to the test 
Unfortunately not .....
> - so that my Windows laptop
> will also finally be able to print without the annoying overhead of
> having to transport the laptop over to where the Brother printer is. The
> Brother printer can go back to being a scanner and photocopier (it used
> to be a fax machine as well, but a lightning strike took care of that),
> and as a printer for the very rare cases where colour printing is desirable.
>
> I have never really understood why a network printer requires drivers on
> every machine that wants to use the printer. In my mind it should be
> sufficient to have a "generic network printer" driver on all machines,
> plus a manufacturer-specific driver _only_ on the machine that the
> printer is directly connected to. The fact that we can't do this says to
> me that someone really screwed up the design of OS support for printers.
>   
For Windows this is possible through a commercial product called 
Thinprint, it's used a lot when you want to support remote locations in 
a virtualised environment.
> But I'll give full credit to the Postscript designers; they came closest
> to implementing this ideal.
>
>   
But even with Postscript drivers, there's Postscript and Postscript 
"tweaked" for specific printers.

-- 
Cheers/2

Ed

Please checkout my podcasts at:
http://eComStationAustralia.podbean dot com or via iTunes
To subscribe - click this: http://eComStationAustralia.podbean dot com/feed

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Tue, 13 Apr 2010 09:49:45 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  eCUPS

Paul Smedley wrote:
> Hi Alan,
>
> On 12/04/10 16:44, Alan Duval wrote:
>> paul at smedley dot id dot au wrote:
>>> Hi Alan,
>>>
>>> Quoting "Alan Duval" <amoht at westnet dot com dot au>:
>>>> I downloaded your port of hplip and unzipped it to C: where cups is.
>>>> I find that the drivers are in C:\cups\share\ppd\HP and the driver
>>>> "hp_officejet_pro_K5300.ppd.gz" is there but it doesn't seem to show
>>>> when I rerun the 'add printer' part in http://localhost:631.
>>> I think this path is wrong.... At work right now, but from memory it
>>> should be in:
>>> \cups\share\cups\model\hp\*.ppd.gz
>>
>> I copied the HP folder to the path you suggested and the driver now
>> shows in the list of printers displayed in the localhost:631 screen.
>> Hence I deleted the previous printer and added a printer with the HP
>> driver but test page doesn't print. Error line
>> "\cups\lib\cups\filter\hpcups.exe failed" is displayed in the
>> localhost:631 screen. I didn't change anything in eCS so don't know
>> whether I should have deleted the printer in eCs also.
>
> Try printing a real document - the test print probably failed due to 
> missing resolution option - long story - related to the missing 
> resolution/print quality options in the hplip ppd files that I 
> mentioned earlier.
Couldn't print a real document with the command  C:\cups\bin\lpr -P HP 
\cups\readme.txt
HP is the name I gave my printer when installed from localhost:631.

After installing printer from localhost:631 the printers window shows:

*Description:* HP Officejet Pro 5300
*Location:* Home office
*Printer Driver:* HP Officejet Pro k5300, hpcups 3.9.12.29
*Printer State:* idle, accepting jobs, published.
*Device URI:* usb://HP/Officejet%20Pro%20K5300?serial=MY84G6830J

I cannot find the driver in  C:\cups   in any directory whereas the 
gutenprint.5.2.exe driver from previous installation is in 
c:\cups\lib\cups\driver\

All the hp*.ppd.gz  files are in  C:\cups\share\cups\model\  as copied 
previously and this resulted in K5300 being recognized in localhost:631 
but these hp*.ppd.gz files are not drivers.

I'm feeling really frustrated. 

Regards,

Alan

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   3 ==========================**

Date:  Tue, 13 Apr 2010 10:19:26 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  eCUPS

david shearer wrote:
> Paul Smedley wrote:
>> Hi Alan,
>>
>> On 12/04/10 16:44, Alan Duval wrote:
>>> paul at smedley dot id dot au wrote:
>>>> Hi Alan,
>>>>
>>>> Quoting "Alan Duval" <amoht at westnet dot com dot au>:
>>>>> I downloaded your port of hplip and unzipped it to C: where cups is.
>>>>> I find that the drivers are in C:\cups\share\ppd\HP and the driver
>>>>> "hp_officejet_pro_K5300.ppd.gz" is there but it doesn't seem to show
>>>>> when I rerun the 'add printer' part in http://localhost:631.
>>>> I think this path is wrong.... At work right now, but from memory it
>>>> should be in:
>>>> \cups\share\cups\model\hp\*.ppd.gz
>>>
>>> I copied the HP folder to the path you suggested and the driver now
>>> shows in the list of printers displayed in the localhost:631 screen.
>>> Hence I deleted the previous printer and added a printer with the HP
>>> driver but test page doesn't print. Error line
>>> "\cups\lib\cups\filter\hpcups.exe failed" is displayed in the
>>> localhost:631 screen. I didn't change anything in eCS so don't know
>>> whether I should have deleted the printer in eCs also.
>>
>> Try printing a real document - the test print probably failed due to 
>> missing resolution option - long story - related to the missing 
>> resolution/print quality options in the hplip ppd files that I 
>> mentioned earlier.
>>
David, did you use the  eCUPS003.wpi  file to install eCUPS and the 
hplip.zip to install the HP printers?
This is what I have used and can't find the driver for my HP Officejet 
Pro K5300 printer in the cups directory.

Alan
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===